package com.cyksj.service.claude;

import com.cyksj.model.entity.RelayServer;

import java.util.List;

/**
 * 中继服务器服务
 */
public interface RelayService {

    List<RelayServer> getAvailableRelays(String domain);
    
    /**
     * 创建中继服务器
     */
    void createRelayServer(RelayServer relayServer);
    
    /**
     * 更新中继服务器
     */
    void updateRelayServer(RelayServer relayServer);
    
    /**
     * 删除中继服务器
     */
    void deleteRelayServer(Long id);
}